## splitmuxsrc splitmuxsrc — Split Demuxer bin that recombines files created by the splitmuxsink element. |

## Properties

gchar * | location | Read / Write

## Signals

GStrv | format-location | Run Last

## Types and Values

struct | GstSplitMuxSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstSplitMuxSrc

## Implemented Interfaces

GstSplitMuxSrc implements GstChildProxy and GstURIHandler.

## Description

This element reads a set of input files created by the splitmuxsink element containing contiguous elementary streams split across multiple files.

This element is similar to splitfilesrc, except that it recombines the streams in each file part at the demuxed elementary level, rather than as a single larger bytestream.

### Example pipelines

    1
    gst-launch-1.0 splitmuxsrc location=video*.mov ! decodebin ! xvimagesink

Demux each file part and output the video stream as one continuous stream

    1
    gst-launch-1.0 playbin uri="splitmux://path/to/foo.mp4.*"

Play back a set of files created by splitmuxsink

## Synopsis

### Element Information

plugin | multifile
author | Jan Schmidt <jan@centricular.com>
class | Generic/Bin/Demuxer

### Element Pads

name | audio_%u
direction | source
presence | sometimes
details | ANY

name | subtitle_%u
direction | source
presence | sometimes
details | ANY

name | video
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values

### struct GstSplitMuxSrc

    struct GstSplitMuxSrc;

## Property Details

### The `“location”` property

      “location”                 gchar *

Glob pattern for the location of the files to read.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“format-location”` signal

    GStrv
    user_function (GstSplitMuxSrc *splitmux,
                   gpointer        user_data)

#### Parameters

splitmux | the GstSplitMuxSrc |
user_data | user data set when the signal handler was connected. |

#### Returns

A NULL-terminated sorted array of strings containing the filenames of the input files. The array will be freed internally using `g_strfreev()`

Flags: Run Last

Since: 1.8